Skip to main content
GET
/
tyk
/
certs
/
{certID}
Return one certificate or list multiple certificates in the Tyk Gateway given a comma separated list of cert IDs.
curl --request GET \
  --url https://{tenant}/tyk/certs/{certID} \
  --header 'X-Tyk-Authorization: <api-key>'
{ "dns_names": [ ".*tyk.io" ], "fingerprint": "7c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90", "has_private": false, "id": "5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90", "is_ca": false, "issuer": { "CommonName": "tyk.io", "Country": [ "Peachtree" ], "ExtraNames": null, "Locality": null, "Names": [ { "Type": [ 2, 5, 4, 6 ], "Value": "Peachtree" }, { "Type": [ 2, 5, 4, 10 ], "Value": "tyk" }, { "Type": [ 2, 5, 4, 11 ], "Value": "tyk" }, { "Type": [ 2, 5, 4, 3 ], "Value": "tyk.io" }, { "Type": [ 1, 2, 840, 113549, 1, 9, 1 ], "Value": "support@tyk.io" } ], "Organization": [ "tyk" ], "OrganizationalUnit": [ "tyk" ], "PostalCode": null, "Province": null, "SerialNumber": "", "StreetAddress": null }, "not_after": "2034-03-26T08:46:37Z", "not_before": "2024-03-25T08:46:37Z", "subject": { "CommonName": "tyk.io", "Country": [ "Peachtree" ], "ExtraNames": null, "Locality": null, "Names": [ { "Type": [ 2, 5, 4, 6 ], "Value": "Peachtree" }, { "Type": [ 2, 5, 4, 10 ], "Value": "tyk" }, { "Type": [ 2, 5, 4, 11 ], "Value": "tyk" }, { "Type": [ 2, 5, 4, 3 ], "Value": "tyk.io" }, { "Type": [ 1, 2, 840, 113549, 1, 9, 1 ], "Value": "support@tyk.io" } ], "Organization": [ "tyk" ], "OrganizationalUnit": [ "tyk" ], "PostalCode": null, "Province": null, "SerialNumber": "", "StreetAddress": null } }

Authorizations

X-Tyk-Authorization
string
header
required

Api key

Path Parameters

certID
string
required

Comma separated list of certificates to list.

Response

object | object[] | null

OK

dns_names
string[]
Example:
[".*tyk.io"]
fingerprint
string
Example:

"7c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90"

has_private
boolean
Example:

false

id
string
Example:

"5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90"

is_ca
boolean
issuer
object
not_after
string<date-time>
Example:

"2034-03-26T08:46:37Z"

not_before
string<date-time>
Example:

"2024-03-25T08:46:37Z"

subject
object